Name: concordance
Version: 0.20
Release: 4%{?dist}
Summary: Software to program the Logitech® Harmony® remote control
%define policykit_rules 10-%{name}.fdi

Group: Applications/Communications
License: GPLv3+
URL: http://www.phildev.net/concordance/
Source0: http://downloads.sourceforge.net/sourceforge/concordance/%{name}-%{version}.tar.bz2
Source1: concordance-gen-policykit-rules.sh
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: hal
Requires: pam
Requires: udev
BuildRequires: libusb-devel
BuildRequires: libconcord-devel
BuildRequires: libxml2

%description
This software will allow you to program your Logitech® Harmony® universal
remote control.


%prep
%setup -q

# make sure we don't build against the private getopt sources
%{__rm} -rf win/getopt


%build
cd %{name}
%configure --enable-shared
make %{_smp_mflags}

# generate PolicyKit rules
bash %{SOURCE1} | xmllint - > %{policykit_rules}
if [ -z %{policykit_rules} ]; then
	exit 1
fi


%install
rm -rf %{buildroot}

cd %{name}
make DESTDIR=%{buildroot} install

# install PolicyKit rules
install -d %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/
install -m 0644 %{policykit_rules} \
	%{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/


%clean
rm -rf %{buildroot}


%files
%defattr(0644, root, root, 0755)
%doc Changelog CodingStyle LICENSE SubmittingPatches TODO 
%doc %{name}/README %{name}/INSTALL.linux
%{_datadir}/hal/fdi/policy/10osvendor/*
%attr(0755, root, root) %{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat May 03 2008 Douglas E. Warner <silfreed@silfreed.net> 0.20-4
- adding additional docs
- removed harmony provides/obsoletes
- removing private getopt sources
- removing udev/pam_console rules
- running generated xml file through xmllint at build time

* Tue Apr 22 2008 Douglas E. Warner <silfreed@silfreed.net> 0.20-3
- fixed Source0 url to downloads.sourceforge.net instead of dl.sourceforge.net

* Tue Apr 22 2008 Douglas E. Warner <silfreed@silfreed.net> 0.20-2
- fixed Source0 url
- changing to build/install dir rather than setting it in setup macro
- install using autoconf script

* Mon Apr 21 2008 Douglas E. Warner <silfreed@silfreed.net> 0.20-1
- updating to 0.20

* Fri Mar 21 2008 Douglas E. Warner <silfreed@silfreed.net> 0.20-0.2.20080318cvs
- disable static linking against libconcord

* Tue Mar 18 2008 Douglas E. Warner <silfreed@silfreed.net> 0.20-0.1.20080318cvs
- renamed from harmony to concordance
- update to pre-release 0.20 that works with libconcord
- adding BuildRequires libconcord-devel
- adding Obsoletes harmony <= 0.20 and Provides harmony to provide upgrade
  path

* Mon Mar 03 2008 Douglas E. Warner <silfreed@silfreed.net> 0.13-1
- update to 0.13

* Mon Jan 14 2008 Douglas E. Warner <silfreed@silfreed.net> 0.12-1
- update to 0.12

* Fri Oct 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.11-8
- moving udev/PolicyKit generation from install to build

* Fri Oct 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.11-7
- fixed typo in harmony-gen-policykit-rules.sh

* Fri Oct 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.11-6
- generating udev rules at build time
- updated udev rules to include more devices
- generating and packaging PolicyKit rules

* Fri Oct 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.11-5
- fixing udev rules path

* Fri Oct 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.11-4
- including license.txt in doc
- switching defattr from (-, root, root, -) to (0644, root, root, 0755)
  and attr(0755) the binary

* Fri Oct 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.11-3
- removing examples from docs
- installing binary by hand to bindir instead of sbindir
- removed commented epoch
- added ® where appropriate
- reordered elements of spec file; updated buildroot
- added udev rules for creating symlinks with nicer names
- added pam_console perms for setting devices to current user

* Thu Oct 11 2007 Douglas E. Warner <silfreed@silfreed.net> 0.11-2
- removing bogus Requires: ldconfig
- adding BuildRequies: libusb-devel

* Wed Oct 10 2007 Douglas E. Warner <silfreed@silfreed.net> 0.11-1
- Initial RPM release.

